org.mariadb.jdbc.internal.packet.result

## Class BinaryRowPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.result.BinaryRowPacket

All Implemented Interfaces:
  RowPacket

    public class BinaryRowPacket
    extends Object
    implements RowPacket

### Constructor Summary

Constructors
Constructor and Description
`BinaryRowPacket(ColumnInformation[] columnInformation, Options options, int columnInformationLength)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendPacketIfNeeded(Buffer buffer, ReadPacketFetcher packetFetcher)` Fetch stream to retrieve data.
`void` `appendPacketIfNeeded(Buffer buffer, ReadPacketFetcher packetFetcher, long encLength)` Fetch stream to retrieve data.
`ValueObject[]` `getRow(ReadPacketFetcher packetFetcher, Buffer buffer)` Get next row data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryRowPacket

    public BinaryRowPacket(ColumnInformation[] columnInformation,
                           Options options,
                           int columnInformationLength)

Constructor.

Parameters:
  `columnInformation` - column information.
  `options` - options
  `columnInformationLength` - number of columns

### Method Detail

#### appendPacketIfNeeded

    public void appendPacketIfNeeded(Buffer buffer,
                                     ReadPacketFetcher packetFetcher)
                              throws IOException

Fetch stream to retrieve data. Data length is unknown.

Parameters:
  `buffer` - buffer
  `packetFetcher` - packetFetcher
Throws:
  `IOException` - if a connection error occur

#### appendPacketIfNeeded

    public void appendPacketIfNeeded(Buffer buffer,
                                     ReadPacketFetcher packetFetcher,
                                     long encLength)
                              throws IOException

Fetch stream to retrieve data. Data length is known.

Parameters:
  `buffer` - reader
  `packetFetcher` - packetFetcher
  `encLength` - data binary length
Throws:
  `IOException` - if a connection error occur

#### getRow

    public ValueObject[] getRow(ReadPacketFetcher packetFetcher,
                                Buffer buffer)
                         throws IOException

Get next row data.

Specified by:
  `getRow` in interface `RowPacket`
Parameters:
  `packetFetcher` - packetFetcher
  `buffer` - current buffer
Returns:
  read data
Throws:
  `IOException` - if any connection error occur